Compatibilité de Dynamsoft Barcode Reader

Compatibilité

JavaScript
  • Chrome - v57+ (v59+ on Android/iOS)
  • Firefox - v52+ (v55+ on Android/iOS)
  • Edge - v16+
  • Safari - v11+
    • On iOS, camera video streaming is only supported in Safari.
    • On Edge, due to strict Same-origin policy, you must host the library on the same domain as your webpage.
    • Safari 11.2.2 - 11.2.6 are not supported.
C
  • Windows (Windows Edition): 7, 8, 10, 2003, 2008, 2008 R2, 2012
  • Linux x64 (Linux Edition): Ubuntu 14.04.4+ LTS, Debian 8+, etc
  • Linux arm 32bit (Raspberry Pi Edition)
  • Linux arm 64bit
C++
  • Windows: 7, 8, 10, 2003, 2008, 2008 R2, 2012
  • Linux x64: Ubuntu 14.04.4+ LTS, Debian 8+, etc
.NET
  • Operating systems:
    • Windows 7, 8, 10
    • Windows Server 2003, 2008, 2008 R2, 2012
  • Environment: Visual Studio 2008 and above
  • Framework supported: .NET Framework 2.0, .NET Framework 4.0
Python
  • Operating systems:
    • Windows x64
    • Linux (x64, ARM32, ARM64)
    • Mac OS (10.15+)
  • Supported Python Versions: Python 2.7 (for versions before DBR 7.4), Python 3.5, Python 3.6, Python 3.7, Python 3.8
Java
  • Windows 7, 8, 10
  • Windows Server 2003, 2008, 2008 R2, 2012.
  • Linux x64 (Ubuntu 14.04.4+ LTS, Debian 8+, etc
  • JDK 1.7 and above
Android
  • Supported OS: Android 5 or higher (Android 7 or higher recommended)
  • Supported ABI: armeabi-v7a/arm64-v8a
iOS
  • Operating systems:
  • macOS 10.11 and above
  • iOS 9.0 and above
  • Environment: Xcode 7.1 - 11.5 and above
  • Recommended: macOS 10.15.4+, Xcode 11.5+, iOS 11+